/* color according to the names */
// theme-clr, secondary-clr, success-clr, info-clr,
// white-clr, warning-clr, danger-clr, light-clr
.theme-clr {
    color: $primary;
}

.secondary-clr {
    color: $secondary;
}

// .success-clr {
//     color: $success;
// }

// .info-clr {
//     color: $info;
// }

.white-clr {
    color: $white;
}

.warning-clr {
    color: $warning;
}

// .danger-clr {
//     color: $danger;
// }

.light-clr {
    color: $light;
}

.theme-light-clr {
    color: $theme-light;
}

.theme-light2-clr {
    color: $theme-light2;
}

/* background color on hover according to the names */
// theme-bg-hv, secondary-bg-hv, success-bg-hv, info-bg-hv, 
// warning-bg-hv, danger-bg-hv, white-bg-hv, transparent-bg-hv, 
// gray-bg-hv, theme-light-bg-hv

.theme-bg,
.theme-bg-hv:hover {
    background-color: $primary;
}

.secondary-bg,
.secondary-bg-hv:hover {
    background: $secondary;
}

// .success-bg,
// .success-bg-hv:hover {
//     background: $success;
// }

// .info-bg,
// .info-bg-hv:hover {
//     background: $info;
// }

.warning-bg,
.warning-bg-hv:hover {
    background: $warning;
}

// .danger-bg,
// .danger-bg-hv:hover {
//     background: $danger;
// }

// .transparent-bg,
// .transparent-bg-hv:hover {
//     background: transparent;
// }
.white-bg,
.white-bg-hv:hover {
    background: $white;
}

// .gray-bg,
// .gray-bg-hv:hover {
//     background: #F7F7F7;
// }

.theme-light-bg,
.theme-light-bg-hv:hover {
    background: $theme-light;
}


.theme-light2-bg,
.theme-light2-bg-hv:hover {
    background: $theme-light2;
}

.dc {
    display: flex;
    align-items: center;
    justify-content: center;
}

.dfc {
    display: flex;
    flex-direction: column;
}

.hidden-y {
    overflow-y: hidden;
}

.flex1 {
    flex: 1 1;
}

.scroll-y {
    overflow-y: auto;
}

// gray borders 
.gray-top-br {
    border-top: 1px solid $border;
}

.gray-btm-br {
    border-bottom: 1px solid $border;
}

.gray-right-br {
    border-right: 1px solid $border;
}

.gray-left-br {
    border-left: 1px solid $border;
}